ISPConfig 3.1.15p1 upgrade error

Discussion in 'Installation/Configuration' started by xarion, Oct 10, 2019 at 12:33 PM.

  1. xarion

    xarion New Member

    After going through all the update steps the update failed on the step below:
    Reconfigure Services? (yes,no,selected) [yes]:

    Configuring Postfix
    Configuring Dovecot
    Configuring Mailman
    Configuring Spamassassin
    Configuring Amavisd
    Configuring Getmail
    Configuring BIND
    [INFO] haveged not detected - DNSSEC can fail
    Configuring Pureftpd
    Configuring Apache
    Configuring vlogger
    Configuring Apps vhost
    Configuring Jailkit
    Configuring Database
    Updating ISPConfig
    ISPConfig Port [8080]:

    Create new ISPConfig SSL certificate (yes,no) [no]:

    PHP Parse error: syntax error, unexpected '[' in /usr/local/ispconfig/server/pl ugins-available/powerdns_plugin.inc.php on line 539
    the line in the php file is:

    $pubkeys = [];
    should that maybe be $pubkeys = array(); ?

    Everything still seems to work but not sure if that error is critical ?

    Warm regards
    Xarion
     
  2. Taleman

    Taleman Well-Known Member HowtoForge Supporter

    On my 3.1.5 ISPConfig that line reads
    Code:
    $pubkeys = [];
    Check the upgrade package, what does that have on that line?
     
  3. Jesse Norell

    Jesse Norell Well-Known Member

    Your system php is too old, you are likely running a fairly old OS and need to upgrade.
     

Share This Page